// Copyright 1997 by Jon Dart.  All Rights Reserved
#ifndef _CALCTIME_H_
#define _CALCTIME_H_

#include "types.h"
#include <afxwin.h>

// Calculate the recommended time to search.
// minutes = minutes per game or time period
// incr = increment in seconds
// time_left = side to move time left in seconds*100
// opp_time = opponent's time left in seconds*100
extern DWORD calc_time_limit(int moves, int minutes, int incr, 
      int32 time_left, int32 opp_time);
#endif
