// Copyright 1998 by Jon Dart.  All Rights Reserved.
#ifndef _CONFIG_H
#define _CONFIG_H

// search parameters
// One "ply" of search extension.
static const int DEPTH_INCREMENT = 12;

//#define CHECKS_IN_QSEARCH
#define FORWARD_PRUNE
#define FORWARD_PRUNE_BIAS 95
#define RAZORING
#define RAZOR_DEPTH 2*DEPTH_INCREMENT /*((10*DEPTH_INCREMENT)/4)*/
#define RAZOR_EXTENSION -DEPTH_INCREMENT /*(-5*DEPTH_INCREMENT)/4*/
#define CHECK_EXTENSION (3*DEPTH_INCREMENT)/4
#define RECAPTURE_EXTENSION (3*DEPTH_INCREMENT)/4
#define FORCED_EXTENSION DEPTH_INCREMENT
#define PAWN_PUSH_EXTENSION (3*DEPTH_INCREMENT)/4
#define THREAT_EXTENSION (3*DEPTH_INCREMENT)/4

// Scoring - allow lazy eval or not
#define USE_LAZY_EVAL

// book learning - on or off
#define LEARNING

#endif