// Copyright 1994 by Jon Dart.  All Rights Reserved.

#ifndef _GLOBALS_H
#define _GLOBALS_H

// global variables

#include "movearr.h"
#include "log.h"
#include "options.h"
#include "book.h"

#ifdef _WINDOWS
#include "arasavw.h"
// These globals are used only in the GUI
extern CArasanView *theView;
extern char initialFilename[];
#else
extern char cmd_buf[256];
extern int cmd_buf_count;
#endif
#include <iostream.h>

extern Book *opening_book;
extern Log *theLog;
extern Options *global_options;
extern Move_Array *game_moves;

extern char *programPath;

extern void init_globals(const char *pathName, 
  BOOL useOpeningBook, BOOL createLog, CWinApp *mainApp = NULL);
extern void __cdecl cleanup_globals();

#endif

